Package weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI

# Class SERObject

java.lang.Object
weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI.SERObject

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class SERObject extends Object implements Serializable, RevisionHandler

SERObject.java
Authors: Rainer Holzmann, Zhanna Melnikova-Albrecht
Date: Sep 15, 2004
Time: 9:43:00 PM
$ Revision 1.4 $

Version:
  $Revision: 1.4 $
Author:
  Zhanna Melnikova-Albrecht (melnikov@cip.ifi.lmu.de), Rainer Holzmann (holzmann@cip.ifi.lmu.de)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SERObject(FastVector resultVector, int databaseSize, int numberOfAttributes, double epsilon, int minPoints, boolean opticsOutputs, String database_Type, String database_distanceType, int numberOfGeneratedClusters, String elapsedTime)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDatabase_distanceType()`
Returns the distance-type
`String`
`getDatabase_Type()`
Returns the type of the used index (database)
`int`
`getDatabaseSize()`
Returns the database's size
`String`
`getElapsedTime()`
Returns the elapsed-time
`double`
`getEpsilon()`
Returns the value of epsilon
`int`
`getMinPoints()`
Returns the number of minPoints
`int`
`getNumberOfAttributes()`
Returns the number of Attributes of the specified database
`int`
`getNumberOfGeneratedClusters()`
Returns the number of generated clusters
`FastVector`
`getResultVector()`
Returns the resultVector
`String`
`getRevision()`
Returns the revision string.
`boolean`
`isOpticsOutputs()`
Returns the flag for writing actions

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SERObject

public SERObject(FastVector resultVector, int databaseSize, int numberOfAttributes, double epsilon, int minPoints, boolean opticsOutputs, String database_Type, String database_distanceType, int numberOfGeneratedClusters, String elapsedTime)

## Method Details

### getResultVector

public FastVector getResultVector()
Returns the resultVector

Returns:
  FastVector resultVector

### getDatabaseSize

public int getDatabaseSize()
Returns the database's size

Returns:
  int databaseSize

### getNumberOfAttributes

public int getNumberOfAttributes()
Returns the number of Attributes of the specified database

Returns:
  int numberOfAttributes

### getEpsilon

public double getEpsilon()
Returns the value of epsilon

Returns:
  double epsilon

### getMinPoints

public int getMinPoints()
Returns the number of minPoints

Returns:
  int minPoints

### isOpticsOutputs

public boolean isOpticsOutputs()
Returns the flag for writing actions

Returns:
  True if the outputs are to write to a file, else false

### getDatabase_Type

public String getDatabase_Type()
Returns the type of the used index (database)

Returns:
  String Index-type

### getDatabase_distanceType

public String getDatabase_distanceType()
Returns the distance-type

Returns:
  String Distance-type

### getNumberOfGeneratedClusters

public int getNumberOfGeneratedClusters()
Returns the number of generated clusters

Returns:
  int numberOfGeneratedClusters

### getElapsedTime

public String getElapsedTime()
Returns the elapsed-time

Returns:
  String elapsedTime

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision